=== debian/control ===
Source: packagekit
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <matthias@tenstral.net>
Uploaders: Julian Andres Klode <jak@debian.org>
DM-Upload-Allowed: yes
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit.git
Build-Depends: debhelper (>= 8.0.0),
               docbook-utils,
               gir1.2-glib-2.0 (>= 0.10.1),
               gobject-introspection (>= 0.10.1),
               gtk-doc-tools,
               libapt-pkg-dev (>= 0.7.26),
               libarchive-dev,
               libcppunit-dev,
               libdbus-glib-1-dev (>= 0.76),
               libgirepository1.0-dev (>= 0.10.1),
               libglib2.0-dev (>= 2.24),
               libgstreamer-plugins-base0.10-dev,
               libgtk-3-dev (>= 3.0.8),
               libgtk2.0-dev (>= 2.24),
               libnm-glib-dev [linux-any],
               libnspr4-dev,
               libpam0g-dev,
               libpolkit-backend-1-dev,
               libpolkit-gobject-1-dev,
               libqt4-dev,
               libsqlite3-dev,
               libtool,
               libxt-dev,
               network-manager-dev [linux-any],
               pm-utils [linux-any],
               policykit-1,
               python-apt (>= 0.7.13.2),
               python-dev (>= 2.7.2-6),
               python-software-properties,
               update-manager-core,
               xmlto,
               xulrunner-dev (>= 8.0) | firefox-dev (>= 8.0)
Standards-Version: 3.9.2
Homepage: http://www.packagekit.org

Package: packagekit
Architecture: any
Depends: libpackagekit-glib2-14 (= ${binary:Version}),
         packagekit-backend-aptcc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: packagekit-backend-apt (<< ${binary:Version}),
        packagekit-backend-aptcc (<< ${binary:Version}),
        packagekit-backend-smart (<< ${binary:Version})
Suggests: packagekit-backend-smart
Description: Provides a package management service
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The work is done by backends which make use of the package manager shipped by
 the corresponding distribution. PackageKit is not meant to replace
 advanced tools like Synaptic.
 .
 The main benefits are:
  - unified interface on several distributions
  - fine grained privileges by using PolicyKit
  - independecy from a running desktop session during the processing

Package: packagekit-bash-completion
Architecture: any
Section: libs
Depends: packagekit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Offer to install missing programs automatically
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 A simple helper that offers to install missing packages on the command line
 using PackageKit.

Package: packagekit-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides documentation for PackageKit.

Package: libpackagekit-glib2-14
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for accessing PackageKit using GLib
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".

Package: libpackagekit-glib2-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-dev,
         libglib2.0-dev (>= 2.24),
         libpackagekit-glib2-14 (= ${binary:Version}),
         libsqlite3-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using GLib (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".
 .
 This package provides the header files and documentation for the advanced
 PackageKit library based on GLib. It makes use of only async D-Bus calls
 and provides high level tasks which peform the "transaction dance".

Package: gir1.2-packagekitglib-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for the PackageKit GLib library
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains introspection data for the PackageKit
 GLib interface library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpackagekit-qt2-2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libpackagekit-qt-14 (>= 0.6.8-0)
Replaces: libpackagekit-qt-14, libpackagekit-qt14
Description: Library for accessing PackageKit using Qt4
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekit-qt2-dev
Section: libdevel
Architecture: any
Depends: libpackagekit-qt2-2 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
Description: Library for accessing PackageKit using Qt4 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for Qt.

Package: packagekit-gtk3-module
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gnome-packagekit (<< 3.2.1-1)
Description: Install fonts automatically using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The PackageKit GTK+ module allows any Pango application to install
 fonts from configured repositories using PackageKit.

Package: gstreamer0.10-packagekit
Architecture: any
Section: libs
Depends: packagekit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GStreamer plugin to install codecs using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: browser-plugin-packagekit
Architecture: any
Section: web
Depends: packagekit (= ${binary:Version}),
         ${dist:Browser},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mozilla-packagekit
Replaces: mozilla-packagekit
Description: Plugin to install missing plugins using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a browser plugin.

Package: python-packagekit
Architecture: all
Section: python
Depends: python-dbus, python-gobject, ${misc:Depends}, ${python:Depends}
Recommends: packagekit
XB-Python-Version: ${python:Versions}
Description: PackageKit Python bindings
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides Python bindings for PackageKit

Package: packagekit-backend-aptcc
Architecture: any
Depends: app-install-data,
         python-packagekit,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Recommends: apt-xapian-index, packagekit (= ${binary:Version})
Description: APT backend for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows using APT over a C++-based PackageKit backend to
 target systems with low memory.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-smart
Architecture: any
Depends: packagekit (= ${binary:Version}),
         python-packagekit (= ${source:Version}),
         smartpm-core,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Smart backend for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows using the smart package manager.

Package: packagekit-dbg
Architecture: any
Section: debug
Priority: extra
Depends: packagekit (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for PackageKit
 This package includes debugging symbols for PackageKit
 libraries, backends and command-line tools.
 PackageKit is a package management abstraction layer which
 allows performing simple software management tasks over a DBus
 interface
 .
 Most people will not need this package.
