## packagekit 0.7.2

=== debian/changelog ===
packagekit (0.7.2-4ubuntu3) precise; urgency=low

  * No-change rebuild against libarchive12.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Mar 2012 11:03:52 +0100

packagekit (0.7.2-4ubuntu2) precise; urgency=low

  * debian/control: Drop unused python-gobject dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2012 19:33:41 +0100

packagekit (0.7.2-4ubuntu1) precise; urgency=low

  * Have the libraries recommend python-aptdaemon.pkcompat over packagekit
    as we want the former in main and the latter in universe; This should
    allow us to demote gdebi
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 01 Mar 2012 14:29:59 -0600

packagekit (0.7.2-4) unstable; urgency=low

  * Don't ship transactions.db with PK package (Closes: #657831)
  * Add APTd PackageKit compat layer as alternative to the original daemon
  * Add Python APT backend again
  * Add language-support what-provides type
  * Don't crash if D-Bus is not available

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 15 Feb 2012 16:12:10 +0100

packagekit (0.7.2-3) unstable; urgency=low

  * Depend on GLib tools, so gdbus is available (Closes: #656559)
  * Fix warnings when running GSD with PackageKit enabled
  * aptcc: Don't hang on long transactions (LP: #905415)

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 27 Jan 2012 23:26:32 +0100

packagekit (0.7.2-2) unstable; urgency=low

  * Solve override disparity for GIR
  * Disable InstallFiles() in aptcc again, function isn't ready yet
  * Compile with --as-needed again
  * Make libs recommend installation of the PackageKit daemon
  * Fix segfault if there are no cached properties (Closes: #656376)
  * Make GStreamer- and browser plugin suggest a PK frontend

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 19 Jan 2012 11:51:41 +0100

packagekit (0.7.2-1) unstable; urgency=low

  * New upstream release: 0.7.2
    Highlights of this release (for Debian):
    - glib: Convert libpackagekit-glib2 from dbus-glib to GDBus
       (Richard Hughes)
    - apt: Reintroduce apt backend (Sebastian Heinlein)
    - aptcc: Add Multi-Arch support (Daniel Nicoletti)
    - aptcc: Fix crash on get-categories, backend does not support that
       (Matthias Klumpp)
    - aptcc: Support for InstallPackageFiles by using gdebi
       (Daniel Nicoletti) (Closes: #606131)
    - aptcc: Basic conffile support (Closes: #606025)
    - Add a new repair-system policy and use it by the corresponding
       RepairSystem method (Sebastian Heinlein)
    - Add a transaction_reset backend hook (Richard Hughes)
    - Add new roles SimulateRepairSystem and RepairSystem
       (Sebastian Heinlein)
    - Add possibility to connect/disconnect backend signals (Matthias Klumpp)
    - Add PropertiesChanged signals to the main and transaction
       interfaces (Richard Hughes)
    - Allow the Plasma version to be specified for
       PK_PROVIDES_ENUM_PLASMA_SERVICE (Kevin Kofler)
    - browser-plugin: Make it compile with newest xulrunner
       (Matthias Klumpp)
    - Fix a critical warning in the client tools when a simulation
       is cancelled (Richard Hughes)
    - Fix item-percentage call in the spawned backend (Sebastian Heinlein)
    - gtk-plugin: Fix name of GTK plugin schema file
       (Matthias Klumpp) (Closes: #649377)
    - Make PkProc part of the daemon (Matthias Klumpp) (LP: #898891)
    - Remove deprecated g_thread_init() on GLib < 2.31 (Per Øyvind Karlsen)
    - Set the frontend socket as environment variable in the
       spawned backend (Sebastian Heinlein)
  * Fix typo in package description (Closes: #655443)
  * Make backends depend on Python again
  * Remove patch 01_new_xulrunner: Applied upstream

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 17 Jan 2012 19:02:38 +0100
