=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <matthias@tenstral.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <matthias@tenstral.net>
 Uploaders: Julian Andres Klode <jak@debian.org>
 DM-Upload-Allowed: yes
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
@@ -18,7 +19,7 @@
                libgirepository1.0-dev (>= 0.10.1),
                libglib2.0-dev (>= 2.24),
                libgstreamer-plugins-base0.10-dev,
-               libgtk-3-dev (>= 3.0.8),
+               libgtk-3-dev (>= 3.2),
                libgtk2.0-dev (>= 2.24),
                libnm-glib-dev [linux-any],
                libnspr4-dev,
@@ -32,7 +33,7 @@
                network-manager-dev [linux-any],
                pm-utils [linux-any],
                policykit-1,
-               python-apt (>= 0.7.13.2),
+               python-apt (>= 0.8),
                python-dev (>= 2.7.2-6),
                python-software-properties,
                update-manager-core,
@@ -43,7 +44,8 @@
 
 Package: packagekit
 Architecture: any
-Depends: libpackagekit-glib2-14 (= ${binary:Version}),
+Depends: libglib2.0-bin,
+         libpackagekit-glib2-14 (= ${binary:Version}),
          packagekit-backend-aptcc (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -63,12 +65,14 @@
  The main benefits are:
   - unified interface on several distributions
   - fine grained privileges by using PolicyKit
-  - independecy from a running desktop session during the processing
+  - independency from a running desktop session during the processing
 
 Package: packagekit-bash-completion
 Architecture: any
 Section: libs
-Depends: packagekit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: packagekit (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Offer to install missing programs automatically
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -91,7 +95,9 @@
 Package: libpackagekit-glib2-14
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: python-aptdaemon.pkcompat | packagekit (= ${binary:Version})
 Description: Library for accessing PackageKit using GLib
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -123,9 +129,10 @@
  and provides high level tasks which peform the "transaction dance".
 
 Package: gir1.2-packagekitglib-1.0
-Section: libs
-Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Description: GObject introspection data for the PackageKit GLib library
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -140,9 +147,12 @@
 Package: libpackagekit-qt2-2
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: python-aptdaemon.pkcompat | packagekit (= ${binary:Version})
 Breaks: libpackagekit-qt-14 (>= 0.6.8-0)
-Replaces: libpackagekit-qt-14, libpackagekit-qt14
+Replaces: libpackagekit-qt-14,
+          libpackagekit-qt14
 Description: Library for accessing PackageKit using Qt4
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -153,7 +163,9 @@
 Package: libpackagekit-qt2-dev
 Section: libdevel
 Architecture: any
-Depends: libpackagekit-qt2-2 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
+Depends: libpackagekit-qt2-2 (= ${binary:Version}),
+         libqt4-dev,
+         ${misc:Depends}
 Description: Library for accessing PackageKit using Qt4 (development files)
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -164,7 +176,8 @@
 Package: packagekit-gtk3-module
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: gnome-packagekit (<< 3.2.1-1)
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
@@ -177,7 +190,10 @@
 Package: gstreamer0.10-packagekit
 Architecture: any
 Section: libs
-Depends: packagekit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: packagekit (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnome-packagekit | apper
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
@@ -193,6 +209,7 @@
          ${dist:Browser},
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: gnome-packagekit | apper
 Conflicts: mozilla-packagekit
 Replaces: mozilla-packagekit
 Description: Plugin to install missing plugins using PackageKit
@@ -205,8 +222,10 @@
 Package: python-packagekit
 Architecture: all
 Section: python
-Depends: python-dbus, python-gobject, ${misc:Depends}, ${python:Depends}
-Recommends: packagekit
+Depends: python-dbus,
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: python-aptdaemon.pkcompat | packagekit
 XB-Python-Version: ${python:Versions}
 Description: PackageKit Python bindings
  PackageKit allows performing simple software management tasks over a DBus
@@ -218,12 +237,14 @@
 Package: packagekit-backend-aptcc
 Architecture: any
 Depends: app-install-data,
+         gdebi-core (>= 0.8.2),
+         python,
          python-packagekit,
          ${misc:Depends},
-         ${python:Depends},
          ${shlibs:Depends}
 XB-Python-Version: ${python:Versions}
-Recommends: apt-xapian-index, packagekit (= ${binary:Version})
+Recommends: apt-xapian-index,
+            packagekit (= ${binary:Version})
 Description: APT backend for PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -233,13 +254,34 @@
  target systems with low memory.
  APT is the default package management tool of Debian and Ubuntu.
 
+Package: packagekit-backend-apt
+Architecture: any
+Depends: app-install-data,
+         python-apt (>=0.8.2),
+         python-gdbm,
+         python-packagekit (= ${source:Version}),
+         python-software-properties,
+         update-manager-core,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+XB-Python-Version: ${python:Versions}
+Recommends: apt-xapian-index
+Description: Python APT backend for PackageKit
+ PackageKit allows performing simple software management tasks over a DBus
+ interface e.g. refreshing the cache, updating, installing and removing
+ software packages or searching for multimedia codecs and file handlers.
+ .
+ This package allows using APT over a Python-based PackageKit backend.
+ APT is the default package management tool of Debian and Ubuntu.
+
 Package: packagekit-backend-smart
 Architecture: any
 Depends: packagekit (= ${binary:Version}),
+         python,
          python-packagekit (= ${source:Version}),
          smartpm-core,
          ${misc:Depends},
-         ${python:Depends},
          ${shlibs:Depends}
 XB-Python-Version: ${python:Versions}
 Description: Smart backend for PackageKit
@@ -253,7 +295,8 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: packagekit (= ${binary:Version}), ${misc:Depends}
+Depends: packagekit (= ${binary:Version}),
+         ${misc:Depends}
 Description: Debugging symbols for PackageKit
  This package includes debugging symbols for PackageKit
  libraries, backends and command-line tools.
