=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		--enable-gtk-doc \
 		--disable-cron \
 		--enable-introspection \
-		--enable-aptcc --enable-smart \
+		--enable-aptcc --enable-apt --enable-smart \
 		--disable-local \
 		--with-default-backend=aptcc \
 		--enable-browser-plugin \
@@ -58,12 +58,13 @@
 	rm -rf $(INSTALLDIR)/usr/lib/gtk-2.0
 	rm -f  $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
 	rm -f  $(INSTALLDIR)/usr/lib/libpackagekit-qt.*
+	rm -f  $(INSTALLDIR)/var/lib/PackageKit/transactions.db
 
 override_dh_install: extrainstallfiles-stamp
 	dh_install --list-missing
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xlibpk-gtk-module -Xlibpk_ -Xpackagekit-plugin
+	dh_makeshlibs -Xpackagekit-plugin -Xlibpk-gtk-module -Xlibpk_
 	dh_girepository
 
 override_dh_auto_clean:
