## packagekit 0.7.3

=== debian/changelog ===
packagekit (0.7.3-2) unstable; urgency=low

  * Drop dependency on update-manager-core: Not required
  * aptcc: Fix crash if we got a package with an invalid version
  * aptcc: Fix a multiarch bug which prevented resolving packages

 -- Matthias Klumpp <matthias@tenstral.net>  Sat, 10 Mar 2012 14:07:35 +0100

packagekit (0.7.3-1) unstable; urgency=low

  * New upstream release: 0.7.3
    Debian-relevant highlights of this release:
     - glib: Fix transfer annotation of pk_results_get_package_sack()
        (Vincent Untz)
     - glib: Fix transfer annotations for GPtrArray returns (Martin Pitt)
     - glib: Do not send progress updates for non-verb packages
        (Richard Hughes)
     - apt: Add support for plugins, call them for what-provides
        (Martin Pitt)
     - apt: Add test case for what-provides CODEC (Martin Pitt)
     - apt: Add test cases for what-provides ANY and unsupported types
        (Martin Pitt)
     - apt: Add test for what-provides MODALIAS (Martin Pitt)
     - apt: Do not fail on missing /var/lib/PackageKit/mime-map.gdbm
        (Martin Pitt)
     - apt: Fix error code for what-provides CODEC (Martin Pitt)
     - apt: Implement support for what-provides ANY (Martin Pitt)
     - apt: Implement support for what-provides MODALIAS (Martin Pitt)
     - apt: what_provides() search argument is a list, not a string
        (Martin Pitt)
     - aptcc: Disable InstallFiles() again (Matthias Klumpp)
     - aptcc: Don't hang on long transactions (Matthias Klumpp)
     - aptcc: Fix crash when simulating local package install
        (Matthias Klumpp)
     - Add LANGUAGE_SUPPORT what-provides type (Martin Pitt)
     - Don't crash when the system bus isn't available, just abort with an
       error (Richard Hughes)
     - Fix a critical warning when starting gnome-settings-daemon
        (Matthias Clasen)
     - Imply the install trusted polkit auth when we get the remove auth
        (Richard Hughes)
     - Imply the install trusted polkit auth when we get the untrusted
       auth (Richard Hughes)
  * Bump standards version to 3.9.3
  * Only suggest gdebi, it's not a requirement
  * Drop patches: Everything is applied upstream now
  * Disable as-needed patch again, no ltmain is shipped
  * Refreshed vendor patches

 -- Matthias Klumpp <matthias@tenstral.net>  Sun, 04 Mar 2012 17:26:21 +0100
