=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <matthias@tenstral.net>
+Maintainer: Matthias Klumpp <matthias@tenstral.net>
 Uploaders: Julian Andres Klode <jak@debian.org>
 DM-Upload-Allowed: yes
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
@@ -36,10 +35,9 @@
                python-apt (>= 0.8),
                python-dev (>= 2.7.2-6),
                python-software-properties,
-               update-manager-core,
                xmlto,
                xulrunner-dev (>= 8.0) | firefox-dev (>= 8.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.packagekit.org
 
 Package: packagekit
@@ -97,7 +95,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python-aptdaemon.pkcompat | packagekit (= ${binary:Version})
+Recommends: packagekit (= ${binary:Version}) | python-aptdaemon.pkcompat
 Description: Library for accessing PackageKit using GLib
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -149,7 +147,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python-aptdaemon.pkcompat | packagekit (= ${binary:Version})
+Recommends: packagekit (= ${binary:Version}) | python-aptdaemon.pkcompat
 Breaks: libpackagekit-qt-14 (>= 0.6.8-0)
 Replaces: libpackagekit-qt-14,
           libpackagekit-qt14
@@ -223,9 +221,10 @@
 Architecture: all
 Section: python
 Depends: python-dbus,
+         python-gobject,
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-aptdaemon.pkcompat | packagekit
+Recommends: packagekit | python-aptdaemon.pkcompat
 XB-Python-Version: ${python:Versions}
 Description: PackageKit Python bindings
  PackageKit allows performing simple software management tasks over a DBus
@@ -237,7 +236,6 @@
 Package: packagekit-backend-aptcc
 Architecture: any
 Depends: app-install-data,
-         gdebi-core (>= 0.8.2),
          python,
          python-packagekit,
          ${misc:Depends},
@@ -245,6 +243,7 @@
 XB-Python-Version: ${python:Versions}
 Recommends: apt-xapian-index,
             packagekit (= ${binary:Version})
+Suggests: gdebi-core (>= 0.8.2)
 Description: APT backend for PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -261,7 +260,6 @@
          python-gdbm,
          python-packagekit (= ${source:Version}),
          python-software-properties,
-         update-manager-core,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
